//
//  WebViewDemo.h
//  TICDebugDemo
//
//  Created by 张小桥 on 2022/8/27.
//

#import <UIKit/UIKit.h>
#import <WebKit/WebKit.h>

@protocol PopWebViewDelegate <NSObject>

@optional
- (void)reciverH5Msg:(NSString* _Nonnull)action data:(NSDictionary *_Nonnull)data;

@end

NS_ASSUME_NONNULL_BEGIN

@interface PopWebView : UIView<WKScriptMessageHandler, WKNavigationDelegate>

@property (nonatomic, strong) WKWebView *webView;
@property (nonatomic, strong) NSArray *jsMethodArray;
@property (nonatomic, weak) id<PopWebViewDelegate> delegate;
- (void)loadUrl:(NSString *)url;
- (void)sendToH5:(NSString *)action params:(NSDictionary *)map;
- (void)unInit;
@end

NS_ASSUME_NONNULL_END
